Summary: diskdump utilities
Name: diskdumputils
Version: 1.3.15
Release: 1.1AX
Source0: %{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-ide-dump-support.patch
Patch1: %{name}-%{version}-diskdump.sh.patch
License: GPL
Group: System Environment/System
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: glib2-devel
Requires: glib2
ExclusiveArch: i386 ia64 x86_64 ppc64
PreReq: chkconfig

%description
The diskdump utilities set up the kernel to save memory image to
the specified partition.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT make install

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g 34 -r -f netdump 2>/dev/null 1>&2 || :
/usr/sbin/useradd -c "Network Crash Dump user" -r -u 34 -g netdump \
    -s /bin/bash -r -d /var/crash netdump 2>/dev/null || :

%post
/sbin/chkconfig --add diskdump
# initialize the required bits for negotiating shared secrets, if necessary

%preun
if [ $1 = 0 ]; then
	/sbin/service diskdump stop > /dev/null 2>&1
	/sbin/chkconfig --del diskdump
fi


%files
%defattr(-,root,root)
%config(noreplace) %attr(0644,root,root)/etc/sysconfig/diskdump
/etc/rc.d/init.d/diskdump
%{_mandir}/man8/diskdumpctl.8*
%{_mandir}/man8/diskdumpfmt.8*
%{_mandir}/man8/savecore.8*
%dir %attr(-,netdump,netdump)/var/crash
%dir %attr(-,netdump,netdump)/var/crash/scripts
%doc README
%doc example_scripts
/sbin/diskdumpctl_proc
/sbin/diskdumpctl
/sbin/diskdumpfmt
/sbin/diskdumpmsg
/sbin/savecore
/usr/sbin/diskdumpctl_proc
/usr/sbin/diskdumpctl
/usr/sbin/diskdumpfmt
/usr/sbin/diskdumpmsg
/usr/sbin/savecore
/etc/diskdump/mail_template.us

%changelog
* Wed Aug 16 2006 Ki-Young, Lee <kylee@haansoft.com> 1.3.15-1.1AX
- Processing stops in a format of a dump partition in
  long time (#1640) (Patch1)
- support ide-dump (Patch0)
- merge diskdumputils-1.3.15-ide-dump-support.patch
- merge diskdumputils-1.3.15-diskdump.sh.patch

* Wed Jul 05 2006 Akira Imamura <aimamura@redhat.com> 1.3.15-1
  Update source package to diskdumputils-1.3.15.tar.gz:
  - Fix for /sbin/diskdumpmsg failure when the system boots after a 
    kernel panic.  BZ #197687

* Thu Jun 29 2006 Akira Imamura <aimamura@redhat.com> 1.3.14-1
  Update source package to diskdumputils-1.3.14.tar.gz:
  - Fix to ensure that the largest dumpfile is copied to 
    vmcore-incomplete when multiple (incomplete) dumpfiles 
    are created.  BZ #196492
  - Fix for when incomplete dumps were created in both a swap partition
    and in a dump partition, and the largest one is in the dump
    partition (non-swap), both dumpfiles get mistakenly removed
    and no vmcore-incomplete is created.  BZ #196048
  - Fix for panic message not being copied to the log file when
    panic occurrd in a hugemem kernel.  BZ #195574

* Tue May  9 2006 Akira Imamura <aimamura@redhat.com> 1.3.6-1
  Update source package to diskdumputils-1.3.6.tar.gz:
  - Fix for SYSFSROOT determination uses "grep -m 1" on /proc/mounts
    to avoid the double setting of that variable.  BZ #171988  
  - Documentation update to README file to further explain the
    proper usage of a swap partition.  BZ #172432
  - Introduced a new diskdump-success script to /var/crash/scripts
    directory.  BZ #172867
  - Documentation update to README file to indicate that logical
    volumes may not be specified as a dump partition.  BZ #178814
  - Support for handling kernel's capability of sequencing through
    multiple devices when one (or more) of them fail.  BZ #181536
* Wed Apr 26 2006 David Anderson <anderson@redhat.com> 1.2.39-1
  Update source package to diskdumputils-1.2.39.tar.gz:
  - Fix for off-by-one bug when creating a compressed vmcore.
* Mon Apr 24 2006 Linda Wang <lwang@redhat.com> 1.2.34-2
  Update source package to diskdumputils-1.2.34.tar.gz:
  - Fixed diskdump determination of SYSFSROOT value. BZ#171988
  - Lack of diskdump on swap partition explanation in doc. BZ#172432
  - Introduced a new diskdump-success script to /var/crash/scripts 
    directory. BZ#172867
  - Logical volumes cannot be used for diskdump. BZ#178814
  - Diskdump cciss support required. BZ#189791
* Wed Dec 14 2005 Akira Imamura <aimamura@redhat.com> 1.2.8-2
  Update source package to diskdumputils-1.2.8.tar.gz:
  - Update README file re: the configuration of a whole disk device
    as the DEVICE parameter in /etc/sysconfig/diskdump to indicate
    that it can be done only on RHEL3.
  - Update README file to specify that Partial Dump and Compressed
    Dump features cannot be used together on ppc64 machines; they
    can only be used separately.
* Wed Nov 30 2005 Akira Imamura <aimamura@redhat.com> 1.2.7-2
  Update source package to diskdumputils-1.2.7.tar.gz:
  - Fixed /usr/sbin/diskdumpmsg command.
  - Updated documentation in README and /etc/sysconfig/diskdump.
  - Additional error message in /usr/sbin/savecore when it fails.
  - Deleted debug message from /usr/sbin/diskdumpctl.
* Mon Nov 28 2005 Akira Imamura <aimamura@redhat.com> 1.2.1-2
  Updated source package to diskdumputils-1.2.1.tar.gz:
  - If savecore fails, does not re-format the dump partition,
    thereby preserving its contents.  BZ #160545
  - When /etc/sysconfig/diskdump is configured with multiple devices
    in its DEVICE parameter, use them in the left-to-right order
    specified.  BZ #168350
  - Salvage kernel messages that were not written to a log file 
    from the crash dump, and append them to /var/log/messages;
    this feature is enabled by default, but can be disabled by
    setting SALVAGEMESSAGE=no in /etc/sysconfig/diskdump.
    BZ #155992
  - Implements option to create a compressed dumpfile, using a
    new dumpfile format, by adding "options diskdump compress=1" 
    to /etc/modprobe.conf.  BZ #168641
  - Allow the deferral of the post-crash savecore operation
    by setting SKIPSAVECORE=yes in /etc/sysconfig/diskdump,
    and later running "service diskdump enabledevice".
    BZ #168640
  - When running "service diskdump initialformat", the user must
    confirm that each DEVICE specified in /etc/sysconfig/diskdump
    should be formatted.  BZ #168639
  - When running "service diskdump initialformat", and a swap
    partition is configured as a dump device, the swap partition
    should not be formatted.  BZ #170430
* Tue Aug 30 2005 Dave Anderson <anderson@redhat.com> 1.1.9-4
  Bump release number so that it's larger than the RHEL3 version
  to prevent upgrade issues.
* Wed Aug 17 2005 Akira Imamura <aimamura@redhat.com> 1.1.9-1
  Updated source package to diskdumputils-1.1.9.tar.gz:
  - Boot-time "Device not specified in /etc/sysconfig/diskdump"
    message should not be displayed when swapsavecore is executed
    by rc.sysinit.  BZ #165843
* Fri Aug 12 2005 Akira Imamura <aimamura@redhat.com> 1.1.8-1
  Updated source package to diskdumputils-1.1.8.tar.gz:
  - Restores the code which converts zero-ed pages to file holes.
    BZ #165356
* Fri Jul 15 2005 Akira Imamura <aimamura@redhat.com> 1.1.7-2
  Updated source package to diskdumputils-1.1.7.tar.gz, which
  removes the configuration line reference to the as-of-yet 
  unsupported PRESERVEDUMP feature from the sysconfig.diskdump file.
* Wed Jul 06 2005 Akira Imamura <aimamura@redhat.com> 1.1.4-2
  Updated source package to diskdumputils-1.1.4.tar.gz, which adds:
  - Multiple PT_LOAD segments support.  BZ #154923
  - Partial dump support added to diskdumpfmt.  FZ #145575
  - Swap partition support.  FZ #160223
  - Enabled to configure diskdump with /proc/mounts.  BZ #155200
* Thu Mar 03 2005 Akira Imamura <aimamura@redhat.com> 1.0.1-5
- Remove obsolete devlabel Requires:
* Tue Mar 01 2005 Akira Imamura <aimamura@redhat.com> 1.0.1-1
- Updated source package to diskdumputils-1.0.1.tar.gz, which adds
  support for disk host adapters controlled by the sata_promise and
  ata_piix disk drivers.
- User-space portion of FZ #132466, diskdumpfmt performance improvement.
- Updated to use glib2 instead of glib1.  BZ #136227, BZ #148998
- Added missing a BuildRequires for glib2-devel.  BZ #132872
- Deleted dead code to avoid compiler complaint.  BZ #143202
* Tue Nov  2 2004 Akira Imamura (0.6.4)
- Fixed a local variable in savecore appropriately
* Wed Oct 26 2004 Nobuhiro Tachino (0.6.3)
- add -O to CFLAGS
* Wed Oct 13 2004 Nobuhiro Tachino (0.6.2)
- Merge fixes from IBM ppc64.
- Update README
* Wed Sep 29 2004 Dave Anderson (0.6.1-1)
- BuildRequires update 
* Fri Sep  3 2004 Nobuhiro Tachino (0.6.1)
- Always load scsi_dump and ide-dump because scsi_uniq_id becomes
  obsolete.
* Wed Sep  1 2004 Dave Anderson (0.6.0-2)
- Restored README file info lost in last checkin
* Tue Aug 24 2004 Dave Anderson (0.6.0-1)
- bumped release for fc3 build
* Mon Aug 23 2004 Nobuhiro Tachino <ntachino@redhat.com> 0.6.0
- Kernel v2.6 support
* Thu Aug 19 2004 Akira Imamura <aimamura@redhat.com> 0.5.2
- Added progress display in savecore
- Fixed man page of savecore
* Thu Jul 15 2004 Akira Imamura <aimamura@redhat.com> 0.5.1
- Fixed man page of diskdumpfmt
- Fixed progress display in diskdumpfmt
* Wed Jul 14 2004 Nobuhiro Tachino <ntachino@redhat.com> 0.5.0
- ppc64 support
* Tue Jun 29 2004 Akira Imamura <aimamura@redhat.com> 0.4.4
- Fixed overflow of total size in diskdumpfmt
- Fixed misspelling of total size in diskdumpfmt
* Fri Jun 25 2004 Tatsuo Uchida <tuchida@redhat.com> 0.4.3
- Fixed check of sysconfig file in diskdump.sh
* Wed Jun 23 2004 Tatsuo Uchida <tuchida@redhat.com> 0.4.2
- Fixed process of command return value in diskdump.sh
- Fixed messages of diskdumpctl
* Wed Jun  9 2004 Akira Imamura<aimamura@redhat.com> 0.4.1
- error message improved in diskdumpfmt
* Sun Jun  6 2004 Nobuhiro Tachino <ntachino@redhat.com> 0.4.0
- version up for release
* Sun Jun  6 2004 Nobuhiro Tachino <ntachino@redhat.com> 0.3.52
- x86-64 support
* Sat Jun  5 2004 Nobuhiro Tachino <ntachino@redhat.com> 0.3.51
- Code cleanup. Separating architecture dependent code.
* Wed Jun  2 2004 Dave Anderson <anderson@redhat.com> 0.3.2-1
  Changed Source0 to .gz (from .bz2) 
  Added archive creation to Makefile (as done by netdump)
* Mon May 28 2004 Tatsuo Uchida <tuchida@redhat.com>
- v0.3.50 IPF start
* Thu May 21 2004 Nobuhiro Tachino <ntachino@redhat.com>
- v0.3.0
- README description of module parameters are revised according to Dave Anderson.
* Thu May 20 2004 Nobuhiro Tachino <ntachino@redhat.com>
- v0.2.99
- Fixed by Dave Anderson's review
- Whole English in manuals and README were updated.
- FIxed invalid size specified in ftruncate().
- diskdump has its own script diskdump-nospace instead of netdump-nospace.
- add diskdump-nospace sample. 
* Thu May 10 2004 Nobuhiro Tachino <ntachino@redhat.com>
- v0.1.9 IDE dump support
* Thu Mar  3 2004 Nobuhiro Tachino <ntachino@redhat.com>
- v0.0.2 memory hole support
* Thu Feb 18 2004 Nobuhiro Tachino <ntachino@redhat.com>
- Initial build.
